本文介绍混合云备份HBR的使用限制。

数据库备份

  • 本地数据库服务器的网络必须通过专线或者VPN和阿里云专有网络(VPC)及路由(线下到云上100.64.0.0/10、100.64.0.0/11或100.96.0.0/11)互通。
  • 支持的数据库版本、操作系统和备份功能有限制。更多信息,请参见数据库备份

文件备份

  • Windows客户端支持VSS快照备份。同一时间只能进行一个VSS快照备份。使用VSS时,无法备份多路径,无法备份UNC路径,无法使用通配符,无法排除文件。
  • 备份时,如果文件正在被其它应用更改,但对文件有读权限,会导致备份数据不完整,需要从应用层保证要备份数据的完整性。
  • 备份时,如果文件被其它进程占用或对文件没有读权限,会导致备份数据不完整,备份后状态会显示部分完成。

虚拟机备份

  • 备份客户端必须使用vCenter Web Client(5.5、6.0、6.5、6.7和7.0版本)部署。
  • 备份网关必须可以通过FQDN名称或者IP地址来访问管理备份虚拟机的vCenter和ESXi。
  • 用于备份的虚拟机不能存在快照。在选择虚拟机阶段会提示该虚机已经做过快照,无法备份。若已做快照,手动删除即可。
  • 无法备份有SCSI设备的虚拟机,因为VSphere VM快照不支持共享SCSI设备。
  • 需要备份的虚拟机的名字不可以包含以下字符:

    ` ^ ~ = ; ! / ( ) [ ] { } @ $ \ & # % +

  • 以下场景无法进行增量备份(CBT模式备份):
    • 虚拟机的硬件版本低于7。
    • 虚拟机上没有打开允许CBT模式。
    • 虚拟机磁盘模式为RDM的物理兼容模式。
    • 虚拟机磁盘模式为independent_persistent或independent_nonpersistent。
  • 虚拟机硬件版本要求必须VM Version 10(对应ESXi 5.5)及以上版本。

SAP HANA备份

每个环境仅支持安装一个SAP HANA实例,否则会出现“安装HANA失败”的错误提示信息。

阿里云NAS备份

阿里云NAS备份暂时不支持NAS SMB ACL特性。NAS SMB ACL特性功能详情,请参见文件存储NAS SMB ACL特性

OSS备份

  • HBR不支持备份和恢复归档存储类型的Bucket、软链接(symlink)以及Object读写权限(ACL)。
  • 使用OSS清单进行备份时,为提升增量备份性能,HBR使用最近7天内最近的清单文件进行备份。
    生成OSS清单文件需要时间,在使用时有以下限制:
    • 备份任务触发时,如果没有任何OSS清单文件,则备份任务直接失败。
    • 备份任务触发时,如果有OSS清单文件,但是和上次相比没有更新,则备份任务失败。
    • 备份任务触发时,只会使用最近一次生成的OSS清单文件进行备份。备份完成后OSS清单文件中新增文件将在下个备份周期进行备份。
    • 备份执行间隔必须大于等于OSS清单的生成周期,以确保每次都能使用OSS清单文件进行备份。

ECS容灾

ECS容灾服务在操作系统、基础架构、数据库和应用等方面均有限制。更多信息,请参见ECS容灾使用限制

VMware容灾

将VMware云上整机恢复到阿里云ECS实例前,请阅读以下阿里云ECS实例的操作系统和VMware平台的限制条件。
  • Windows Server操作系统
    必读项 说明
    系统限制
    • 请确认文件系统的完整性。
    • 请勿修改关键系统文件。
    • 请检查系统盘的剩余空间,确保系统盘没有被写满。
    • 系统盘容量范围支持40 GiB~500 GiB。
    • administrator账号的登录密码必须为8~30个字符,同时包含大小写英文字母、数字和特殊符号中的三类字符。特殊符号可以是( ) ` ~ ! @ # $ % ^ & * - _ + = | { } [ ] : ; ' < > , . ? /其中,不能以正斜线(/)为密码首字符。
    不支持项
    • 不支持在系统中安装qemu-ga,否则会导致ECS所需要的部分服务不可用。
    • 不支持以下操作系统版本:
      • Windows XP
      • Windows 8
      • Windows 8.1
      • Windows 10
    • 不支持在Windows Server中安装社区版Virtio驱动。如已安装,请移除以下文件的只读属性。
      • C:\Windows\System32\drivers\netkvm.sys
      • C:\Windows\System32\drivers\balloon.sys
      • C:\Windows\System32\drivers\vioser.sys
      • C:\Windows\System32\drivers\viostor.sys
      • C:\Windows\System32\drivers\pvpanic.sys
  • Linux操作系统
    必读项 说明
    系统限制
    • 请确认文件系统的完整性。
    • 请勿修改关键系统文件,如/sbin/bin/lib*等目录。
      • 请勿修改/etc/issue*,否则ECS无法正常识别系统发行版,从而创建系统失败。
      • 请勿修改/boot/grub/menu.lst,否则无法启动ECS实例。
      • 请勿修改/etc/fstab,否则无法加载异常分区从而无法启动ECS实例。
      • 请勿将/etc/shadow修改为只读,否则将导致无法修改密码文件,从而创建系统失败。
      • 不建议修改/etc/selinux/config文件以开启SELinux,否则系统无法启动。如果必须开启,请参见开启或关闭SELinux
    • 请检查系统盘的剩余空间,确保系统盘没有被写满。
    • 开启DHCP(Dynamic Host Configuration Protocol)服务。
    • 安装Xen或者KVM虚拟化驱动。具体操作,请参见安装virtio驱动
    • 安装cloud-init,以保证能成功配置hostname、NTP源和yum源。具体操作,请参见安装cloud-init
    • root账号的登录密码必须是8~30个字符,并且同时包含大小写字母、数字和特殊符号中的三类字符。特殊符号可以是( ) ` ~ ! @ # $ % ^ & * - _ + = | { } [ ] : ; ' < > , . ? /
    • 对操作系统的GRUB版本要求:
      • 对于Linux系统,需要更新GRUB至1.99及以上版本。
      • 对于CentOS 5、Red Hat 5等低版本操作系统,需要更新GRUB至1.99及以上版本。
    不支持项
    • 不支持多个网络接口。
    • 不支持IPv6地址。
    • 不支持调整系统盘分区,只支持单个根分区。
    • 不支持在系统中安装qemu-ga,否则会导致ECS所需要的部分服务不可用。
    • 不支持通过LVM跨磁盘构建的系统盘分区(根分区),否则可能导致ECS实例启动异常。
  • VMware平台
    项目 说明
    vCenter版本 支持的vCenter版本包括5.5、 6.0、6.5、6.7和7.0。迁移网关必须可以通过FQDN名称或者IP地址来访问管理备份虚拟机的vCenter和ESXi。
    硬件版本 虚拟机硬件版本要求必须VM Version 10(对应ESXi 5.5)及以上版本。

VMware虚拟机迁移

VMware虚拟机迁移服务主要针对VMware环境的虚拟机提供非侵入式的无代理整机迁移功能,其原理是基于VMware的快照以及磁盘级别的数据读取功能,将虚拟机整机全盘迁移到ECS实例上。在迁移前,请阅读以下阿里云ECS实例的操作系统和VMware平台的限制条件。

  • Windows Server操作系统
    必读项 说明
    系统限制
    • 请确认文件系统的完整性。
    • 请勿修改关键系统文件。
    • 请检查系统盘的剩余空间,确保系统盘没有被写满。
    • 系统盘容量范围支持40 GiB~500 GiB。
    • administrator账号的登录密码必须为8~30个字符,同时包含大小写英文字母、数字和特殊符号中的三类字符。特殊符号可以是( ) ` ~ ! @ # $ % ^ & * - _ + = | { } [ ] : ; ' < > , . ? /其中,不能以正斜线(/)为密码首字符。
    不支持项
    • 不支持在系统中安装qemu-ga,否则会导致ECS所需要的部分服务不可用。
    • 不支持以下操作系统版本:
      • Windows XP
      • Windows 8
      • Windows 8.1
      • Windows 10
    • 不支持在Windows Server中安装社区版Virtio驱动。如已安装,请移除以下文件的只读属性。
      • C:\Windows\System32\drivers\netkvm.sys
      • C:\Windows\System32\drivers\balloon.sys
      • C:\Windows\System32\drivers\vioser.sys
      • C:\Windows\System32\drivers\viostor.sys
      • C:\Windows\System32\drivers\pvpanic.sys
  • Linux操作系统
    必读项 说明
    系统限制
    • 请确认文件系统的完整性。
    • 请勿修改关键系统文件,如/sbin/bin/lib*等目录。
      • 请勿修改/etc/issue*,否则ECS无法正常识别系统发行版,从而创建系统失败。
      • 请勿修改/boot/grub/menu.lst,否则无法启动ECS实例。
      • 请勿修改/etc/fstab,否则无法加载异常分区从而无法启动ECS实例。
      • 请勿将/etc/shadow修改为只读,否则将导致无法修改密码文件,从而创建系统失败。
      • 不建议修改/etc/selinux/config文件以开启SELinux,否则系统无法启动。如果必须开启,请参见开启或关闭SELinux
    • 请检查系统盘的剩余空间,确保系统盘没有被写满。
    • 开启DHCP(Dynamic Host Configuration Protocol)服务。
    • 安装Xen或者KVM虚拟化驱动。具体操作,请参见安装virtio驱动
    • 安装cloud-init,以保证能成功配置hostname、NTP源和yum源。具体操作,请参见安装cloud-init
    • root账号的登录密码必须是8~30个字符,并且同时包含大小写字母、数字和特殊符号中的三类字符。特殊符号可以是( ) ` ~ ! @ # $ % ^ & * - _ + = | { } [ ] : ; ' < > , . ? /
    • 对操作系统的GRUB版本要求:
      • 对于Linux系统,需要更新GRUB至1.99及以上版本。
      • 对于CentOS 5、Red Hat 5等低版本操作系统,需要更新GRUB至1.99及以上版本。
    不支持项
    • 不支持多个网络接口。
    • 不支持IPv6地址。
    • 不支持调整系统盘分区,只支持单个根分区。
    • 不支持在系统中安装qemu-ga,否则会导致ECS所需要的部分服务不可用。
    • 不支持通过LVM跨磁盘构建的系统盘分区(根分区),否则可能导致ECS实例启动异常。
  • VMware平台
    项目 说明
    vCenter版本 支持的vCenter版本包括5.5、 6.0、6.5、6.7和7.0。迁移网关必须可以通过FQDN名称或者IP地址来访问管理备份虚拟机的vCenter和ESXi。
    硬件版本 虚拟机硬件版本要求必须VM Version 10(对应ESXi 5.5)及以上版本。